TestNs\MyApp\UpdateOperationType:
    properties:
        userEmail:
            expose: true
            access_type: public_method
            serialized_name: userEmail
            accessor:
                getter: getUserEmail
                setter: setUserEmail
            xml_attribute: true
            type: string
        userName:
            expose: true
            access_type: public_method
            serialized_name: userName
            accessor:
                getter: getUserName
                setter: setUserName
            xml_attribute: true
            type: string
        customer:
            expose: true
            access_type: public_method
            serialized_name: customer
            accessor:
                getter: getCustomer
                setter: setCustomer
            type: TestNs\MyApp\CustomerType
